curl "https://api.scanova.io/custom-domain/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 42,
"domain": "https://links.example.com",
"is_default": false,
"disable_slug_case": false,
"txt_value": "scanova-verification=abc123...",
"is_txt_verified": false,
"is_cname_verified": false,
"is_migrated": false,
"dns_provider": { "name": "Cloudflare", "placeholders": { "cname": { "content": { "label": "Target" } } } },
"txt_error": null,
"cname_error": null,
"root_action": "no_action",
"redirect": null,
"template": null,
"protocol": "https",
"remove_qr_query": false,
"cname_target": "shortcname.scanova.io",
"domain_connect_supported": false,
"domain_connect_checked_at": null,
"created": "2026-09-08T10:00:00Z",
"modified": "2026-09-08T10:00:00Z"
}
]
}
النطاقات المخصصة
سرد النطاقات المخصصة
GET /custom-domain/
GET
/
custom-domain
/
curl "https://api.scanova.io/custom-domain/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 42,
"domain": "https://links.example.com",
"is_default": false,
"disable_slug_case": false,
"txt_value": "scanova-verification=abc123...",
"is_txt_verified": false,
"is_cname_verified": false,
"is_migrated": false,
"dns_provider": { "name": "Cloudflare", "placeholders": { "cname": { "content": { "label": "Target" } } } },
"txt_error": null,
"cname_error": null,
"root_action": "no_action",
"redirect": null,
"template": null,
"protocol": "https",
"remove_qr_query": false,
"cname_target": "shortcname.scanova.io",
"domain_connect_supported": false,
"domain_connect_checked_at": null,
"created": "2026-09-08T10:00:00Z",
"modified": "2026-09-08T10:00:00Z"
}
]
}
يسرد النطاقات المخصصة المتصلة الخاصة بهذا الحساب، على مضيف Management API (
api.scanova.io)، مع المصادقة باستخدام مفتاح Management API الخام الخاص بك.
GET https://api.scanova.io/custom-domain/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
يتطلب حصة الخطة
CUSTOM_DOMAIN وصلاحية CUSTOM_DOMAIN_CAN_VIEW.curl "https://api.scanova.io/custom-domain/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 42,
"domain": "https://links.example.com",
"is_default": false,
"disable_slug_case": false,
"txt_value": "scanova-verification=abc123...",
"is_txt_verified": false,
"is_cname_verified": false,
"is_migrated": false,
"dns_provider": { "name": "Cloudflare", "placeholders": { "cname": { "content": { "label": "Target" } } } },
"txt_error": null,
"cname_error": null,
"root_action": "no_action",
"redirect": null,
"template": null,
"protocol": "https",
"remove_qr_query": false,
"cname_target": "shortcname.scanova.io",
"domain_connect_supported": false,
"domain_connect_checked_at": null,
"created": "2026-09-08T10:00:00Z",
"modified": "2026-09-08T10:00:00Z"
}
]
}
txt_value وcname_target هما سجلا DNS اللذان لا يزال هذا النطاق بحاجة إليهما (أو يمتلكهما بالفعل) للإشارة إلى Scanova — راجع إضافة نطاق مخصص لمعرفة مصدرهما. تعكس is_txt_verified/is_cname_verified آخر عملية تحقق تم تشغيلها، وليست فحصًا لحظيًا.
ذات صلة
- إضافة نطاق مخصص — توصيل نطاق جديد.
- التحقق من سجلات DNS لنطاق مخصص — إعادة فحص DNS وتحديث هذه الأعلام.
- سرد النطاقات المُتحقَّق منها لتخصيصها لرموز QR — النظير المناسب للقوائم المنسدلة، لتخصيص نطاق لرمز QR.
- نظرة عامة على Management API — مخطط المصادقة وقواعد الحصة المطبّقة على نقطة النهاية هذه.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
الاستجابة
200 - application/json
Paginated list of custom domains.
هل كانت هذه الصفحة مفيدة؟